Bug 9588 - service не отслеживает изменение приоритета запуска демонов
: service не отслеживает изменение приоритета запуска демонов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/service)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 7849
  Show dependency tree
 
Reported: 2006-05-18 12:04 by
Modified: 2006-11-07 20:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-18 12:04:28
Если какой-то демон установлен в систему с конкретным приоритетом то service не
меняет этот приоритет в случае его изменения в дальнейшем. Последний пример --
messagebus. Раньше он запускался одним из последних. Сейчас должен стартовать
до
haldaemon. Но порядок его запуска не поменялся. Пришлось менять руками во всех
rcX.d.
Steps to Reproduce:
1.Установить демон с одним приоритетом.
2.Изменить приоритет запуска демона.
3.Обновить демона.
Actual Results:  
Приоритет остается старым

Expected Results:  
Приоритет должен поменяться
------- Comment #1 From 2006-05-18 12:51:56 -------
Пример ситуации, когда необходимо изменение приоритета запуска сервиса - bug
#7849 (сейчас эта ошибка исправлена для случая новой установки, но проявится
при
обновлении системы, где ранее был установлен старый acpid).
------- Comment #2 From 2006-10-15 19:04:45 -------
Should be fixed in 0.5.12-alt1.
------- Comment #3 From 2006-11-06 17:49:20 -------
Пока закрываю. Проверить как-то не на чем.
------- Comment #4 From 2006-11-07 20:53:11 -------
Я проверил.